<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmDebug: X:/kmDebug.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmDebug
   </div>
   <div id="projectbrief">kmDebug library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_debug_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmDebug.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_debug_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#ifndef KM_DEBUG_H_</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">#define KM_DEBUG_H_</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="foldopen" id="foldopen00068" data-start="{" data-end="};">
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">   68</a></span><span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>      <a class="code hl_enumvalue" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3a68e15f535d372cae08798ca2f13d7796">DB_PIN_0</a></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_1</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    , DB_PIN_1</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_2</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    , DB_PIN_2</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_3</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    , DB_PIN_3</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_4</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    , DB_PIN_4</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_5</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    , DB_PIN_5</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_6</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    , DB_PIN_6</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">#ifdef KM_DEBUG_PIN_7</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    , DB_PIN_7</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3a68e15f535d372cae08798ca2f13d7796">   99</a></span>} <a class="code hl_enumeration" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a>;</div>
</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#a2e3f24e3758b6264b61cf4eff527a87f">dbPullUpAllPorts</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#a2d9ae3859d0da45b5a0218aab0387df2">dbInit</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#a67f16e1067dd9d5aade7458fb706f504">dbToggle</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a> pin);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#aa82a2a7cbbce8a6772d96677ef041211">dbOn</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a> pin);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#a03904c051c3250069b3f565a9c6aee16">dbOff</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a> pin);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_debug_8h.html#a286c03ef5a95c11c642072f97f5bfa94">dbSet</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a> pin, <span class="keyword">const</span> <span class="keywordtype">bool</span> state);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>}</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DEBUG_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="akm_debug_8h_html_a03904c051c3250069b3f565a9c6aee16"><div class="ttname"><a href="km_debug_8h.html#a03904c051c3250069b3f565a9c6aee16">dbOff</a></div><div class="ttdeci">void dbOff(const kmDebugPin pin)</div><div class="ttdef"><b>Definition</b> kmDebug.c:167</div></div>
<div class="ttc" id="akm_debug_8h_html_a286c03ef5a95c11c642072f97f5bfa94"><div class="ttname"><a href="km_debug_8h.html#a286c03ef5a95c11c642072f97f5bfa94">dbSet</a></div><div class="ttdeci">void dbSet(const kmDebugPin pin, const bool state)</div><div class="ttdef"><b>Definition</b> kmDebug.c:278</div></div>
<div class="ttc" id="akm_debug_8h_html_a2d9ae3859d0da45b5a0218aab0387df2"><div class="ttname"><a href="km_debug_8h.html#a2d9ae3859d0da45b5a0218aab0387df2">dbInit</a></div><div class="ttdeci">void dbInit(void)</div><div class="ttdef"><b>Definition</b> kmDebug.c:84</div></div>
<div class="ttc" id="akm_debug_8h_html_a2e3f24e3758b6264b61cf4eff527a87f"><div class="ttname"><a href="km_debug_8h.html#a2e3f24e3758b6264b61cf4eff527a87f">dbPullUpAllPorts</a></div><div class="ttdeci">void dbPullUpAllPorts(void)</div><div class="ttdef"><b>Definition</b> kmDebug.c:36</div></div>
<div class="ttc" id="akm_debug_8h_html_a67f16e1067dd9d5aade7458fb706f504"><div class="ttname"><a href="km_debug_8h.html#a67f16e1067dd9d5aade7458fb706f504">dbToggle</a></div><div class="ttdeci">void dbToggle(const kmDebugPin pin)</div><div class="ttdef"><b>Definition</b> kmDebug.c:111</div></div>
<div class="ttc" id="akm_debug_8h_html_aa75c08c034edbf8e7d2ab7f4368ba1f3"><div class="ttname"><a href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3">kmDebugPin</a></div><div class="ttdeci">kmDebugPin</div><div class="ttdoc">Definition of the kmDebug internal pin number, allows to remap the pins without changing the rest of ...</div><div class="ttdef"><b>Definition</b> kmDebug.h:68</div></div>
<div class="ttc" id="akm_debug_8h_html_aa75c08c034edbf8e7d2ab7f4368ba1f3a68e15f535d372cae08798ca2f13d7796"><div class="ttname"><a href="km_debug_8h.html#aa75c08c034edbf8e7d2ab7f4368ba1f3a68e15f535d372cae08798ca2f13d7796">DB_PIN_0</a></div><div class="ttdeci">@ DB_PIN_0</div><div class="ttdoc">Debug pin 0.</div><div class="ttdef"><b>Definition</b> kmDebug.h:69</div></div>
<div class="ttc" id="akm_debug_8h_html_aa82a2a7cbbce8a6772d96677ef041211"><div class="ttname"><a href="km_debug_8h.html#aa82a2a7cbbce8a6772d96677ef041211">dbOn</a></div><div class="ttdeci">void dbOn(const kmDebugPin pin)</div><div class="ttdef"><b>Definition</b> kmDebug.c:224</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_debug_8h.html">kmDebug.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
